$fontMedium: TeleNeo Medium;
$fontBold: TeleNeo Bold;
$backgroundGrey: #f5f5f5;
$grey: #cccccc;
$darkGrey: #5b5b5b;
$veryDarkGrey: #262626;


::ng-deep * { padding: 0; font-family: TeleNeo Medium, Roboto, "Helvetica Neue", sans-serif; }
html, body {
  height: 100%;
}

// SOLUTION 2
// If I want to change background color I lose the grid lines for the calendar
// ::ng-deep .fc-timegrid-bg-harness {
//   background-color: #D8D8D8;
// }

::ng-deep .fc-day-today {
  background-color: inherit !important;
}

::ng-deep .fc-timegrid-slot {
  height: 50px !important
}

::ng-deep .fc-next-button {
  background-color: transparent !important;
  border: 0px !important;
}

::ng-deep .fc-prev-button {
  background-color: transparent !important;
  border: 0px !important;
}

::ng-deep .fc-icon-chevron-right {
  color: black !important;
}

::ng-deep .fc-icon-chevron-left {
  color: black !important;
}

::ng-deep .fc-event {
  border-radius: 12px !important;
  border-width: 3px !important;
  padding: 10px;
}

::ng-deep .event-content {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

::ng-deep .button-div {
  display: flex;
  justify-content: space-between;
}

::ng-deep .icon {
  border: none;
  background-color: transparent;
}

.working-hours-div {
    background-color: #D8D8D8;
    width: 30px;
    height: 30px;
    border-radius: 5px;
    margin-right: 5px;
}

.appointment-div {
    background-color: #00739F;
    width: 30px;
    height: 30px;
    border-radius: 5px;
    margin-right: 5px;
}

.absence-div {
    background-color: #CDE4EC;
    width: 30px;
    height: 30px;
    border-radius: 5px;
    margin-right: 5px;
}

.bank-holiday-div {
  background-color: #fff;
  width: 30px;
  height: 30px;
  border: 1px solid;
  border-color: #f8308d;
  border-radius: 5px;
  margin-right: 5px;
}

.company-event-div {
  background-color: #3b3b3b;
  width: 30px;
  height: 30px;
  border-radius: 5px;
  margin-right: 5px;
}

.filter-criteria {
  display: flex;
  align-items: center; 
  justify-content: flex-start; 
  margin-bottom: 15px;
}

.filter-group {
  padding: 5px;
  display: flex;
  align-items: center;
  justify-content: start;

}

.filter-button {
  background-color: transparent;
  border-color: $darkGrey;
  color: $darkGrey;
  border-radius: 10px;
}

.filter-button:enabled:hover {
  background: $darkGrey;
  border-color: $darkGrey;
}

.filter-input {
  border-color: $darkGrey;
  width: 100%;
  border-radius: 10px;
}

.filter-input:enabled:hover {
  border-color: $darkGrey;
}

.filter-input:enabled:focus {
  outline: 0 none;
  outline-offset: 0;
  box-shadow: 0 0 0 0.2rem $grey;
  border-color: $darkGrey;
}

.search-button {
  background-color: $backgroundGrey;
  color: $darkGrey;
  border-color: $backgroundGrey;
  margin-right: 10px;
}

.search-button:enabled:hover {
  background: $grey;
  color: #ffffff;
  border-color: $grey;
}

.search-button:focus {
  outline: 0 none;
  outline-offset: 0;
  box-shadow: 0 0 0 0.2rem $grey;
  background-color: $grey;
}

.resource-item {
  background-color: $backgroundGrey;
}

.resource-panel {
  background-color: $backgroundGrey;
  height: 100%;
}

.resource-title {
  font-size: 20px;
  margin-left: 10px;
}

p-card.active::ng-deep .p-card-body, .active {
  background-color: $grey;
  font-weight: bold;
}

:host ::ng-deep .p-card {
  box-shadow: none;
  background-color: transparent;
  cursor: pointer;
  :hover, :focus {
    background: $grey;
  }
}

:host ::ng-deep .p-card-body {
  padding: 1px 0;
}

:host ::ng-deep .p-card-content {
  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 10px;
}